Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.server.management
Class PlayerInstance

    java.lang.Object
      net.minecraft.server.management.PlayerInstance

    public class PlayerInstance

extends Object

Field Summary
`List` | `playersInChunk`

Constructor Summary
`PlayerInstance(PlayerManager par1PlayerManager, int par2, int par3)`

Method Summary
`void` | `addPlayerToChunkWatchingList(EntityPlayerMP par1EntityPlayerMP)` called for all chunks within the visible radius of the player
`void` | `flagChunkForUpdate(int par1, int par2, int par3)`
`void` | `sendChunkUpdate()`
`void` | `sendThisChunkToPlayer(EntityPlayerMP par1EntityPlayerMP)`
`void` | `sendToAllPlayersWatchingChunk(Packet par1Packet)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### playersInChunk

    public final List playersInChunk

Constructor Detail

### PlayerInstance

    public PlayerInstance(PlayerManager par1PlayerManager,
                          int par2,
                          int par3)

Method Detail

### addPlayerToChunkWatchingList

    public void addPlayerToChunkWatchingList(EntityPlayerMP par1EntityPlayerMP)

  called for all chunks within the visible radius of the player

### sendThisChunkToPlayer

    public void sendThisChunkToPlayer(EntityPlayerMP par1EntityPlayerMP)

### flagChunkForUpdate

    public void flagChunkForUpdate(int par1,
                                   int par2,
                                   int par3)

### sendToAllPlayersWatchingChunk

    public void sendToAllPlayersWatchingChunk(Packet par1Packet)

### sendChunkUpdate

    public void sendChunkUpdate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD